﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 19x Cal Adjust Error RS-232 /5500
DATE:                  2018-01-08 12:23:58
AUTHOR:                Fluke
REVISION:              $Revision: 22097 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       106
CONFIGURATION:         Fluke 5500A
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
#
#  Models covered:
#        Fluke 19x ScopeMeter®
#        Fluke 19xB, 19xC ScopeMeter®
#        Fluke 2x5C ScopeMeter®
#
#  Compatibility:
#        MET/CAL 8.0 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Based on the acknowledge response sent by the Test Tool, this procedure
# identifies the error for presentation to the operator.

# Initialize variables.
  1.001  MATH         @CalError = 0; @FatalError = 0
# Read UUT acknowledge response from output buffer for status.
  1.002  PORT         [T150000][I]

# If errors occurred, query for cal step number and error information.
  1.003  IF           MEM
  1.004  5500         *                                                 S
# Query for failed step number and error code. Response to is structured:
#  <nnn;nnnn><CR>0<CR>
  1.005  PORT         EX 1100[I$][I!]
# Parse query response.
#   Field 1:  Current cal step
#   Filed 2:  Cal step error code
  1.006  MATH         @CalStep  = FLD(MEM2, 1, ";")
  1.007  MATH         @CalError = FLD(MEM2, 2, ";")

  1.008  IF           @CalError < 5000
# If error code < 5000, cal error occurred and may be re-executed.
  1.009  OPBR         -z Cal Error [V @CalError] occurred at CL [V @CalStep]!
  1.009  OPBR
  1.009  OPBR         Check calibrator, cables, etc.
  1.009  OPBR
  1.009  OPBR         Do you want to review the connection picture?

  1.010  IF           MEM1

  1.011  IF           ZCMPI(@Picture, "19x_a_input_55_scope.jpg")
  1.012  PIC          19x_a_input_55_scope.jpg
  1.013  ELSEIF       ZCMPI(@Picture, "19x_b_input_55_scope.jpg")
  1.014  PIC          19x_b_input_55_scope.jpg
  1.015  ELSEIF       ZCMPI(@Picture, "19x_ab_input_55_scope.jpg")
  1.016  PIC          19x_ab_input_55_scope.jpg
  1.017  ELSEIF       ZCMPI(@Picture, "19x_ab_input_55.jpg")
  1.018  PIC          19x_ab_input_55.jpg
  1.019  ELSEIF       ZCMPI(@Picture, "19x_meter_input_2w_55.jpg")
  1.020  PIC          19x_meter_input_2w_55.jpg
  1.021  ELSEIF       ZCMPI(@Picture, "19x_meter_input_short.jpg")
  1.022  PIC          19x_meter_input_short.jpg
  1.023  ELSEIF       ZCMPI(@Picture, "19x_meter_input_4w_55.jpg")
  1.024  PIC          19x_meter_input_4w_55.jpg
  1.025  ELSEIF       ZCMPI(@Picture, "19x_cal_gen_test.jpg")
  1.026  PIC          19x_cal_gen_test.jpg
  1.027  ELSE
  1.028  DISP         Procedure Error: Unidentified picture!
  1.028  DISP         [V @Picture]
  1.029  END
  1.030  ENDIF

  1.031  ENDIF        ;   MEM1

# If error code >= 5000, fatal error occurred and cal must be re-executed.
  1.032  ELSE
  1.033  DISP         FATAL ERROR
  1.033  DISP         A fatal error occurred!
  1.033  DISP
  1.033  DISP         The calibration MUST be repeated in its entirety.
  1.033  DISP
  1.033  DISP         Select "Advance" to abort calibration.
  1.034  MATH         @FatalError = 1
  1.035  ENDIF

  1.036  ENDIF

  1.037  END
